## ----style, echo = FALSE, results = 'asis'---------------------------------
BiocStyle::markdown()

## ---- echo = FALSE---------------------------------------------------------
suppressPackageStartupMessages(library("dplyr"))

## ----install, eval=FALSE---------------------------------------------------
#  install.packages("BiocManager")
#  BiocManager::install("depmap")

## ----import_EH, message = FALSE--------------------------------------------
library("depmap")
library("ExperimentHub")

## ----ehquery---------------------------------------------------------------
## create ExperimentHub query object
eh <- ExperimentHub()
query(eh, "depmap")

## ---- echo = FALSE---------------------------------------------------------
rnai <- eh[["EH2260"]]

## ---- eval = FALSE---------------------------------------------------------
#  ## access `rnai_19Q1` by EH number
#  rnai <- eh[["EH2260"]]

## --------------------------------------------------------------------------
rnai

## --------------------------------------------------------------------------
# depmap_rnai()

## ---- echo = FALSE---------------------------------------------------------
rm(rnai)

## ---- echo = FALSE---------------------------------------------------------
crispr <- eh[["EH2261"]]

## ---- eval = FALSE---------------------------------------------------------
#  ## access `crispr_19Q1` by EH number
#  crispr <- eh[["EH2261"]]

## --------------------------------------------------------------------------
crispr

## --------------------------------------------------------------------------
# depmap_crispr()

## ---- echo = FALSE---------------------------------------------------------
rm(crispr)

## ---- echo = FALSE---------------------------------------------------------
copyNumber <- eh[["EH2262"]]

## ---- eval = FALSE---------------------------------------------------------
#  ## access `copyNumber_19Q1` by EH number
#  copyNumber <- eh[["EH2262"]]

## --------------------------------------------------------------------------
copyNumber

## --------------------------------------------------------------------------
# depmap_copyNumber()

## ---- echo = FALSE---------------------------------------------------------
rm(copyNumber)

## ---- echo = FALSE---------------------------------------------------------
RPPA <- eh[["EH2263"]]

## ---- eval = FALSE---------------------------------------------------------
#  ## access `RPPA_19Q1` by EH number
#  RPPA <- eh[["EH2263"]]

## --------------------------------------------------------------------------
RPPA

## --------------------------------------------------------------------------
# depmap_RPPA()

## ---- echo = FALSE---------------------------------------------------------
rm(RPPA)

## ---- echo = FALSE---------------------------------------------------------
TPM <- eh[["EH2264"]]

## ---- eval = FALSE---------------------------------------------------------
#  ## access `TPM_19Q1` by EH number
#  TPM <- eh[["EH2264"]]

## --------------------------------------------------------------------------
TPM

## --------------------------------------------------------------------------
# depmap_TPM()

## ---- echo = FALSE---------------------------------------------------------
rm(TPM)

## ---- echo = FALSE---------------------------------------------------------
metadata <- eh[["EH2266"]]

## ---- eval = FALSE---------------------------------------------------------
#  ## access `metadata_19Q1` by EH number
#  metadata <- eh[["EH2266"]]

## --------------------------------------------------------------------------
metadata

## --------------------------------------------------------------------------
# depmap_metadata()

## ---- echo = FALSE---------------------------------------------------------
rm(metadata)

## ---- echo = FALSE---------------------------------------------------------
mutationCalls <- eh[["EH2265"]]

## ---- eval = FALSE---------------------------------------------------------
#  ## access `mutationCalls_19Q1` by EH number
#  mutationCalls <- eh[["EH2265"]]

## --------------------------------------------------------------------------
mutationCalls

## --------------------------------------------------------------------------
# depmap_mutationCalls()

## ---- echo = FALSE---------------------------------------------------------
rm(mutationCalls)

## ----echo = FALSE----------------------------------------------------------
sessionInfo()

